HubstaffDeveloper Portal

Budgets

View project budget history and spending data

Get budget history

GET/v2/budget_histories/{budget_history_id}

Returns the budget history with the given ID.

Parameters

NameInTypeDescription
budget_history_idrequired
pathinteger (int32)
Budget History ID

Responses

200A budget history
object
  • budget_historyobject
    object

    BudgetHistory model

    • idinteger required

      the budget history ID

    • project_idinteger

      The project ID the budget is for

    • client_idinteger

      The client ID the budget is for

    • budgetobject required
      object
      • typestring required

        The budget type

      • ratestring

        The budget rate type

      • costnumber

        The budget cost limit

      • hoursnumber

        The budget hours limit

      • start_datestring

        The budget start date

      • alertsobject required
        object
        • near_limitinteger required

          The budget near limit percentage

        • notify_enabledboolean required

          Whether budget notifications are enabled

        • notify_all_membersboolean required

          Whether to notify all project members

        • notify_groupstring

          The group to notify

      • recurrencestring

        The budget recurrence frequency

      • recurrence_startinteger

        Day of week (0-6, 0=Sunday) for weekly recurrence, or day of month (1-31) for monthly recurrence

      • include_non_billableboolean required

        Whether the budget includes non-billable time

      • stop_timer_when_budget_reachedboolean required

        Whether to stop timers when budget is reached

      • stop_atinteger

        The budget percentage at which timers stop

    • start_datestring

      The start date of the budget

    • stop_datestring

      The stop date of the budget

    • spentnumber required

      The amount spent. Either cost or hours depending on the budget type

    • created_atstring required

      When the record was created

    • updated_atstring required

      When the record was last updated

Example response
json
{
  "budget_history": {
    "id": 0,
    "project_id": 0,
    "client_id": 0,
    "budget": {
      "type": "string",
      "rate": "string",
      "cost": 0,
      "hours": 0,
      "start_date": "2024-01-15",
      "alerts": {
        "near_limit": 0,
        "notify_enabled": false,
        "notify_all_members": false,
        "notify_group": "string"
      },
      "recurrence": "string",
      "recurrence_start": 0,
      "include_non_billable": false,
      "stop_timer_when_budget_reached": false,
      "stop_at": 0
    },
    "start_date": "2024-01-15",
    "stop_date": "2024-01-15",
    "spent": 0,
    "created_at": "2024-01-15T10:30:00Z",
    "updated_at": "2024-01-15T10:30:00Z"
  }
}
400Invalid parameters
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
401Unauthorized
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
403API access is only for organizations on an active plan
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
404Could not find record
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
429Rate limit exceeded
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}

List client budget histories

GET/v2/clients/{client_id}/budget_histories

Returns budget configuration history (changes to budget settings over time) for the given client.

Parameters

NameInTypeDescription
client_idrequired
pathinteger (int32)
page_start_id
queryinteger (int32)
The page start ID.
page_limit
queryinteger (int32)
The default page size

Responses

200A list of budget histories
object
  • budget_historiesarray
    array<object>
    items
    object

    BudgetHistory model

    • idinteger required

      the budget history ID

    • project_idinteger

      The project ID the budget is for

    • client_idinteger

      The client ID the budget is for

    • budgetobject required
      object
      • typestring required

        The budget type

      • ratestring

        The budget rate type

      • costnumber

        The budget cost limit

      • hoursnumber

        The budget hours limit

      • start_datestring

        The budget start date

      • alertsobject required
        object
        • near_limitinteger required

          The budget near limit percentage

        • notify_enabledboolean required

          Whether budget notifications are enabled

        • notify_all_membersboolean required

          Whether to notify all project members

        • notify_groupstring

          The group to notify

      • recurrencestring

        The budget recurrence frequency

      • recurrence_startinteger

        Day of week (0-6, 0=Sunday) for weekly recurrence, or day of month (1-31) for monthly recurrence

      • include_non_billableboolean required

        Whether the budget includes non-billable time

      • stop_timer_when_budget_reachedboolean required

        Whether to stop timers when budget is reached

      • stop_atinteger

        The budget percentage at which timers stop

    • start_datestring

      The start date of the budget

    • stop_datestring

      The stop date of the budget

    • spentnumber required

      The amount spent. Either cost or hours depending on the budget type

    • created_atstring required

      When the record was created

    • updated_atstring required

      When the record was last updated

Example response
json
{
  "budget_histories": [
    {
      "id": 0,
      "project_id": 0,
      "client_id": 0,
      "budget": {
        "type": "string",
        "rate": "string",
        "cost": 0,
        "hours": 0,
        "start_date": "2024-01-15",
        "alerts": {
          "near_limit": 0,
          "notify_enabled": false,
          "notify_all_members": false,
          "notify_group": "string"
        },
        "recurrence": "string",
        "recurrence_start": 0,
        "include_non_billable": false,
        "stop_timer_when_budget_reached": false,
        "stop_at": 0
      },
      "start_date": "2024-01-15",
      "stop_date": "2024-01-15",
      "spent": 0,
      "created_at": "2024-01-15T10:30:00Z",
      "updated_at": "2024-01-15T10:30:00Z"
    }
  ]
}
400Invalid parameters
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
401Unauthorized
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
403API access is only for organizations on an active plan
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
404Could not find record
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
429Rate limit exceeded
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}

List organization budget histories

GET/v2/organizations/{organization_id}/budget_histories

Returns budget configuration history (changes to budget settings over time) for the given organization.

The project_ids and client_ids filters are processed as a complete set.

  • If project_ids 1,2,3 and client_ids 4,5,6 are provided then all budget histories for those project and clients will be returned.
  • If only project_ids 1,2,3 (no client_ids filter) are provided then only budget histories for those projects will be returned (no client budgets at all).
  • If only client_ids 1,2,3 (no project_ids filter) are provided then only budget histories for those clients will be returned (no project budgets at all).

Further resource may be specified to restrict only returning budget histories for either projects or clients. The resource filter is combined with the project_ids/client_ids filters thus

  • If only project_ids is provided and resource = ‘client’ then no records will be returned

The start_date filters only apply to the starting date of the start_date of the budget history records. Thus to fetch only budget histories for this month for all projects specify this filter

  • resource=project and start_date[start]=2026-07-01

Parameters

NameInTypeDescription
organization_idrequired
pathinteger (int32)
page_start_id
queryinteger (int32)
The page start ID.
page_limit
queryinteger (int32)
The default page size
project_ids
queryarray integer[]
List of project IDs
client_ids
queryarray integer[]
List of client IDs
resource
querystring
Only return budgets for this resource type
Possible valuesprojectclient
start_date[start]
querystring (date)
Include budget histories with a start date on or after this date (ISO 8601)
start_date[stop]
querystring (date)
Include budget histories with a start date on or before this date (ISO 8601)
include
queryarray string[]
Specify related data to side load.
Possible valuesclientsprojects

Responses

200A list of budget histories
object
  • budget_historiesarray
    array<object>
    items
    object

    BudgetHistory model

    • idinteger required

      the budget history ID

    • project_idinteger

      The project ID the budget is for

    • client_idinteger

      The client ID the budget is for

    • budgetobject required
      object
      • typestring required

        The budget type

      • ratestring

        The budget rate type

      • costnumber

        The budget cost limit

      • hoursnumber

        The budget hours limit

      • start_datestring

        The budget start date

      • alertsobject required
        object
        • near_limitinteger required

          The budget near limit percentage

        • notify_enabledboolean required

          Whether budget notifications are enabled

        • notify_all_membersboolean required

          Whether to notify all project members

        • notify_groupstring

          The group to notify

      • recurrencestring

        The budget recurrence frequency

      • recurrence_startinteger

        Day of week (0-6, 0=Sunday) for weekly recurrence, or day of month (1-31) for monthly recurrence

      • include_non_billableboolean required

        Whether the budget includes non-billable time

      • stop_timer_when_budget_reachedboolean required

        Whether to stop timers when budget is reached

      • stop_atinteger

        The budget percentage at which timers stop

    • start_datestring

      The start date of the budget

    • stop_datestring

      The stop date of the budget

    • spentnumber required

      The amount spent. Either cost or hours depending on the budget type

    • created_atstring required

      When the record was created

    • updated_atstring required

      When the record was last updated

Example response
json
{
  "budget_histories": [
    {
      "id": 0,
      "project_id": 0,
      "client_id": 0,
      "budget": {
        "type": "string",
        "rate": "string",
        "cost": 0,
        "hours": 0,
        "start_date": "2024-01-15",
        "alerts": {
          "near_limit": 0,
          "notify_enabled": false,
          "notify_all_members": false,
          "notify_group": "string"
        },
        "recurrence": "string",
        "recurrence_start": 0,
        "include_non_billable": false,
        "stop_timer_when_budget_reached": false,
        "stop_at": 0
      },
      "start_date": "2024-01-15",
      "stop_date": "2024-01-15",
      "spent": 0,
      "created_at": "2024-01-15T10:30:00Z",
      "updated_at": "2024-01-15T10:30:00Z"
    }
  ]
}
400Invalid parameters
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
401Unauthorized
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
403API access is only for organizations on an active plan
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
404Could not find record
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
429Rate limit exceeded
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}

List project budget histories

GET/v2/projects/{project_id}/budget_histories

Returns budget configuration history (changes to budget settings over time) for the given project.

Parameters

NameInTypeDescription
project_idrequired
pathinteger (int32)
page_start_id
queryinteger (int32)
The page start ID.
page_limit
queryinteger (int32)
The default page size

Responses

200A list of budget histories
object
  • budget_historiesarray
    array<object>
    items
    object

    BudgetHistory model

    • idinteger required

      the budget history ID

    • project_idinteger

      The project ID the budget is for

    • client_idinteger

      The client ID the budget is for

    • budgetobject required
      object
      • typestring required

        The budget type

      • ratestring

        The budget rate type

      • costnumber

        The budget cost limit

      • hoursnumber

        The budget hours limit

      • start_datestring

        The budget start date

      • alertsobject required
        object
        • near_limitinteger required

          The budget near limit percentage

        • notify_enabledboolean required

          Whether budget notifications are enabled

        • notify_all_membersboolean required

          Whether to notify all project members

        • notify_groupstring

          The group to notify

      • recurrencestring

        The budget recurrence frequency

      • recurrence_startinteger

        Day of week (0-6, 0=Sunday) for weekly recurrence, or day of month (1-31) for monthly recurrence

      • include_non_billableboolean required

        Whether the budget includes non-billable time

      • stop_timer_when_budget_reachedboolean required

        Whether to stop timers when budget is reached

      • stop_atinteger

        The budget percentage at which timers stop

    • start_datestring

      The start date of the budget

    • stop_datestring

      The stop date of the budget

    • spentnumber required

      The amount spent. Either cost or hours depending on the budget type

    • created_atstring required

      When the record was created

    • updated_atstring required

      When the record was last updated

Example response
json
{
  "budget_histories": [
    {
      "id": 0,
      "project_id": 0,
      "client_id": 0,
      "budget": {
        "type": "string",
        "rate": "string",
        "cost": 0,
        "hours": 0,
        "start_date": "2024-01-15",
        "alerts": {
          "near_limit": 0,
          "notify_enabled": false,
          "notify_all_members": false,
          "notify_group": "string"
        },
        "recurrence": "string",
        "recurrence_start": 0,
        "include_non_billable": false,
        "stop_timer_when_budget_reached": false,
        "stop_at": 0
      },
      "start_date": "2024-01-15",
      "stop_date": "2024-01-15",
      "spent": 0,
      "created_at": "2024-01-15T10:30:00Z",
      "updated_at": "2024-01-15T10:30:00Z"
    }
  ]
}
400Invalid parameters
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
401Unauthorized
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
403API access is only for organizations on an active plan
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
404Could not find record
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
429Rate limit exceeded
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}